Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libvisual-xmms
Version:	0.2.0
Release:	2
License:	GNU/GPL 
URL:		http://libvisual.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		libvisual-xmms-lv040.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Libvisual is an xmms plugin for the libvisual audio visualisation framework.
BuildRequires:	libvisual-devel 
BuildRequires:  xmms-devel 
BuildRequires:  SDL-devel 
BuildRequires:  gtk+-devel 
BuildRequires:  libglib-devel
BuildRequires:  glibc-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:	DirectFB-devel


%description
Libvisual is an xmms plugin for the libvisual audio visualisation framework.
For more details see: http://libvisual.sourceforge.net

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 

%build
./configure --prefix=%_prefix \
--enable-extra-optimization \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-2
- patch for libvisual 0.4
* Mon Sep 26 2005 Christian Wasem <wasem@ccux-linux.de> 0.2.0-1
- Initial Release  
